You are reading the documentation for v7.x and earlier, which is no longer the latest version. Switch to v8.x
saveCart
Method turning an active user cart into a saved cart in SAP Commerce Cloud.
This method sends a POST request to the saveCart endpoint of the Alokai Middleware. In turn, it exchanges data with the doSaveCart endpoint exposed by the SAP OCC API Save Cart Controller.
This method works only in an authenticated user session (i.e. when the vsf-sap-token cookie is present in the browser). Also, make sure you are passing cart code (and not guid) as the cartId param.
Signature
export declare function saveCart<Res extends SaveCartResult = SaveCartResult,
Props extends SaveCartProps = SaveCartProps>(
props: Props,
options?: MethodOptions
): Promise<Res>;Parameters
| Name | Required | Type | Description |
|---|---|---|---|
props | Required | Props | Parameter object which can be used with this method. Refer to its type definition to learn about possible properties. |
options | Optional | MethodOptions | Options that can be passed to additionally configure the request or customize the logic in a plugin. |
Returns
Returns a representation of a Save Cart Result.
Referenced Types
Examples
Turning an active user cart into a saved cart.
import { sdk } from '~/sdk';
const savedCart = await sdk.commerce.saveCart({ cartId: '00035084' });Turning an active user cart into a saved cart with name and description.
import { sdk } from '~/sdk';
const savedCart = await sdk.commerce.saveCart({
cartId: '00035084',
name: 'wishlist',
description: 'This is a wishlist description'
});Turning an active user cart into a saved cart and selecting response fields.
import { sdk } from '~/sdk';
const savedCart = await sdk.commerce.saveCart({
cartId: '00035084',
fields: 'savedCartData(code,name,savedBy(FULL))'
});